lprint-submit(1)

NAME
lprint-submit - submit a file for printing.

SYNOPSIS
lprint [ submit ] [ -d PRINTER ] [ -u PRINTER-URI ] [ -n COPIES ] [ -o OPTION=VALUE ] [ -t TITLE ] [ FILE [ ... FILE ] ]
lprint [ submit ] [ -d PRINTER ] [ -u PRINTER-URI ] [ -n COPIES ] [ -o OPTION=VALUE ] [ -t TITLE ] -

DESCRIPTION
This command submits one or more files for printing. The first form prints the named files. The second form copies the print file from the standard input.

OPTIONS
The following options are recognized by lprint submit:

-d PRINTER
    Specifies the name of the printer queue. If not specified, the default printer is used.

-n COPIES
    Specifies the number of copies.

-o finishings=none
    Print without cutting.

-o finishings=trim
    Print and cut.

-o media=SIZE-NAME
    Specifies the label size.

-o media-source=ROLL-NAME
    Specifies the label roll.

-o media-top-offset=NNNin

-o media-top-offset=NNNmm
    Specifies the distance to offset printing from the top of the label in inches ("NNNin") or millimeters ("NNNmm").

-o media-tracking=continuous

-o media-tracking=mark

-o media-tracking=web
    Specifies how labels are tracked on the carrier backing - "continuous" for a continuous label or receipt paper, "mark" for labels that are separated with a visible mark on the carrier backing, or "web" for labels that are separated with a hole in the carrier backing.

-o media-type=continuous

-o media-type=labels
    Specifies the type of roll media being used - "continuous" for continuous labels or receipt paper, or "labels" for cut labels on a carrier backing.

-o orientation-requested=portrait
    Print images in portrait orientation.

-o orientation-requested=landscape
    Print images in landscape (90 degrees counter-clockwise) orientation.

-o orientation-requested=reverse-portrait
    Print images in reverse-portrait (upside down) orientation.

-o orientation-requested=reverse-landscape
    Print images in reverse-landscape (90 degrees clockwise) orientation.

-o orientation-requested=none
    Print images in automatic (portrait or landscape) orientation.

-o print-color-mode=bi-level
    Only print black or white when printing images.

-o print-color-mode=monochrome
    Halftone shades of gray when printing images. -o print-content-optimize=auto Optimize printing automatically based on the type and content of the file. -o print-content-optimize=graphic Optimize printing for graphics only. -o print-content-optimize=photo Optimize printing for photos. -o print-content-optimize=text Optimize printing for text only. -o print-content-optimize=text-and-graphic Optimize printing for text and graphics.

-o print-darkness=NNN
    Specifies the print darkness from -100 (lightest) to 100 (darkest).

-o print-quality=draft
    Print using draft quality.

-o print-quality=normal
    Print using normal quality.

-o print-quality=high
    Print using high/best quality.

-o print-speed=NNNin

-o print-speed=NNNmm
    Specifies the print speed in inches ("NNNin") or millimeters ("NNNmm") per second.

-o printer-resolution=NNNdpi
    Specifies the print resolution in dots per inch.

-t TITLE
    Specifies the print job name.

-u PRINTER-URI
    Specifies an "ipp:" or "ipps:" URI for a remote printer.

SEE ALSO
lprint-cancel(1), lprint-default(1), lprint-options(1).

COPYRIGHT
Copyright © 2019-2026 by Michael R Sweet.